Subject: bug#11017: 24.0.94; emacs-lock--kill-emacs-query-functions should ding

From: Stefan Monnier <[email-masked]>
Date: Sun, 18 Mar 2012 22:20:10 -0400

>> Those who don't like dings can customize it with visible-bell and
>> ring-bell-function, so I wouldn't worry too much about it.
> There's a difference between not wanting a ding *ever*, and not
> wanting it in that specific case.
>> But is the message actually visible or does it get immediately
>> overwritten by some other message?
> No, the message is visible.  Try
>   emacs -Q etc\NEWS -f emacs-lock-mode -f save-buffers-kill-terminal

Oh, I see.  Yes, the message is seen OK.  And I don't think emacs-lock
should ding in this case.  Maybe the code running
kill-emacs-query-functions should ding, on the other hand,

        Stefan